# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global mod_name shadowsocks

Name:		python-shadowsocks
Version:	2.4.3
Release:	alt1_4
Summary:	A fast tunnel proxy that help you get through firewalls

Group:		Networking/Other
License:	MIT
URL:		http://shadowsocks.org/
Source0:	https://pypi.python.org/packages/source/s/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python-dev
BuildRequires:	python-module-setuptools
BuildRequires:	python-module-m2crypto
Requires:	python-module-m2crypto
BuildRequires:	python3-devel
BuildRequires:	python3-module-setuptools
Source44: import.info
# m2crypto is not available for python3
#BuildRequires:  python3-m2crypto

%description
Shadowsocks is a socks5 tunnel proxy, designed to secure your Internet
traffic.

This package contains the client and server implementation for Shadowsocks in
Python 2.

%package -n python3-module-shadowsocks
Group: Networking/Other
Summary:	A fast tunnel proxy that help you get through firewalls (Python 3)

%description -n python3-module-shadowsocks
Shadowsocks is a socks5 tunnel proxy, designed to secure your Internet
traffic.

This package contains the client and server implementation for Shadowsocks in
Python 3.

%prep
%setup -q -n %{mod_name}-%{version}
# remove shebangs in the module files
sed -i -e '/^#!\//, 1d' %{mod_name}/*.py %{mod_name}/crypto/*.py
# explicitly remove the included egg
rm -fr %{mod_name}*.egg-info

rm -rf %{_builddir}/python3-%{name}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{name}-%{version}-%{release}

%build
%{__python} setup.py build

pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%{__python3} setup.py build
popd

%install
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_bindir}/{,python3-}sslocal
mv $RPM_BUILD_ROOT%{_bindir}/{,python3-}ssserver
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
%{__python} setup.py test

pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%{__python3} setup.py test
popd

%files
%doc README.rst LICENSE
%{_bindir}/sslocal
%{_bindir}/ssserver
%{python_sitelibdir_noarch}/%{mod_name}*

%files -n python3-module-shadowsocks
%doc README.rst LICENSE
%{_bindir}/python3-sslocal
%{_bindir}/python3-ssserver
%{python3_sitelibdir_noarch}/%{mod_name}*



%changelog
* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_4
- new version

